Bug 162631 - Book 8, Chapt. 3, Exercise 1, Item 4: Need additional specificity
Book 8, Chapt. 3, Exercise 1, Item 4: Need additional specificity
Status: ON_QA
Product: Red Hat Academy
Classification: Retired
Component: RHA030 Curriculum (Show other bugs)
2.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bowe Strickland
Bowe Strickland
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-06 19:03 EDT by Donald Greer
Modified: 2008-05-01 11:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Donald Greer 2005-07-06 19:03:15 EDT
Description of problem:
The understanding of all students and myself is that this question is looking
for all words in the specified dictionary beginning with a capital letter and
ending in exactly 2 vowels.

By that definition, the following regex should meet the criterion:
"^([[:upper:]].*[^aeiouAEIOU][aeiouAEIOU]|[^AEIOUa-z][aeiouAEIOU]|[AEIOU])[aeiouAEIOU]$

This renders words in ALL CAPS, 2 and 3 letter words that begin with a capital
letter and end in exactly 2 vowels.

After trying everything I and the students could think of, I "cheated" and read
the script.  You are NOT counting all caps, 2 and 3 letter words (and yes, there
ARE at least one of each of these).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
Either be more specific about the results, or make the grading script more flexable.

Additional info:
Comment 1 Bowe Strickland 2005-08-02 21:11:45 EDT
right you are... simplified to 

^[[:upper:]][aeiouAEIOU]+$

(capitalized followed by only vowels, excluding single letter words)

Note You need to log in before you can comment on or make changes to this bug.